<?php
$page_title="Vehicles";
require "header.php";
?>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
       <?php
	   include "breadcrumb.php";
	   ?>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-4">
                    <div class="box box-default collapsed-box">
                        <div class="box-header with-border">
                            <h3 class="box-title">Enter New Vehicle Data</h3>

                            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-plus"></i>
                </button>
                            </div>
                            <!-- /.box-tools -->
                        </div>
                        <!-- /.box-header -->
                        <form id="new-vehicle-form" enctype="multipart/form-data">
                            <div id="new-vehicle-form-content" class="box-body">
                                <div class="form-group">
                                    <label for="">Photograph of Vehicle</label>
                                    <input name="photo" type="file">
                                </div>
                                <div class="form-group">
                                    <label for="">Vehicle's Name</label>
                                    <input class="form-control" name="vehicle_name" type="text">
                                </div>
                                <div class="form-group">
                                    <label for="">Number of Seats</label>
                                    <input class="form-control" name="num_of_seats" type="text">
                                </div>
                                <div class="form-group">
                                    <label for="">Total Number of Units</label>
                                    <input class="form-control" name="total_units_available" type="text">
                                </div>
                               
                                <div class="form-group">
                                    <label for="">Price Per Day</label>
                                    <input class="form-control" name="price_per_day" type="text">
                                </div>


                            </div>
                            <!-- /.box-body -->

                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                                <div style="margin-bottom: 2em;"></div>
                                <div class="row">
                                    <div class="col-md-12" id="new-vehicle">
                                    </div>
                                </div>
                            </div>

                        </form>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <div class="row">

        <?php
        //get the number of vehicles models in order to evenly distribute it across 3 columns
		$query=selectMysql($pdo, "SELECT COUNT(*) FROM vehicle");
		$num_vehicle=$query->fetchColumn();
                $num_per_col=intdiv($num_vehicle, 3);
                $remainder=$num_vehicle % 3;
				$first_col=0; $sec_col=0; $third_col=0;
				//echo $num_per_col;
                if($remainder==1){
                    $first_col=$num_per_col+1;
					$sec_col=$num_per_col;
					$third_col=$num_per_col;
                }else if($remainder==2){
					$first_col=$num_per_col+1;
					$sec_col=$num_per_col+1;
					$third_col=$num_per_col;
				}else if($remainder==0){
					$first_col=$num_per_col;
					$sec_col=$num_per_col;
					$third_col=$num_per_col;
				}
               
		//get the vehicles available and their info
		/*
		*first column
		*/
		$start_point=0;
		echo '<div class="col-sm-4">';
		$query=selectMysql($pdo, "SELECT * FROM vehicle LIMIT ".$first_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showVehicleInfo($row['ID']);
			
	$start_point++;
		}
		echo '</div>';
		echo '<div class="col-md-4">';
	$query=selectMysql($pdo, "SELECT * FROM vehicle LIMIT ".$start_point.", ".$sec_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showVehicleInfo($row['ID']);
		$start_point++;
		}
		echo '</div>';
		echo '<div class="col-md-4">';
		$sec_col+=$first_col;
	$query=selectMysql($pdo, "SELECT * FROM vehicle LIMIT ".$start_point.", ".$third_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showVehicleInfo($row['ID']);
		}
	 echo '</div>';
		?>
                    <!-- /.col -->
            </div>
            <!-- /.client -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    <?php
  require "footer.php";
  ?>
        <script>
            $(document).ready(function() {
                // submit form using $.ajax() method

                $('#new-vehicle-form').submit(function(e) {
                    e.preventDefault(); // Prevent Default Submission
                    //show loading animation
                    $('#new-vehicle-button').fadeOut('slow', function() {
                        $('#new-vehicle-button').fadeIn('slow').html('<img src="../img/ajax-loader.gif" align="center">');
                    });

                    $.ajax({
                            url: 'processnewvehicle.php',
                            type: 'POST',
                            data: new FormData(this),
                            //data: $(this).serialize(), // it will serialize the form data
                            processData: false,
                            contentType: false
                        })
                        .done(function(data) {
                            $('#new-vehicle').fadeOut('slow', function() {
                                $('#new-vehicle').fadeIn('slow').html(data);
                            });
                        })
                        .fail(function() {
                            alert('Ajax Submit Failed ...');
                        });
                });
            });

        </script>
</body>
</html>