<?php
$page_title="Apartments";
require "header.php";
?>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                <?php
		echo $_SESSION['site_name'];
		?>
                    <small>Admin</small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="index.php"><i class="fa fa-dashboard"></i> Dashboard</a></li>
                <li class="active">
                    <?php echo $page_title; ?>
                </li>
            </ol>

        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-4">
                    <div class="box box-default collapsed-box">
                        <div class="box-header with-border">
                            <h3 class="box-title">Enter New Apartment Data</h3>

                            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-plus"></i>
                </button>
                            </div>
                            <!-- /.box-tools -->
                        </div>
                        <!-- /.box-header -->
                        <form id="new-apartment-form" enctype="multipart/form-data">
                            <div id="new-apartment-form-content" class="box-body">
                                <div class="form-group">
                                    <label for="">Photograph of Apartment</label>
                                    <input name="photo" type="file">
                                </div>
                                <div class="form-group">
                                    <label for="">State</label>
                                    <input class="form-control" name="state" type="text">
                                </div>
								<!--<div class="form-group">
                                    <label for="">L.G.A.</label>
                                    <input class="form-control" name="lga" type="text">
                                </div>-->
								<div class="form-group">
                                    <label for="">City</label>
                                    <input class="form-control" name="city" type="text">
                                </div>
								<div class="form-group">
                                    <label for="">Number of Rooms</label>
                                    <input class="form-control" name="num_of_rooms" type="text">
                                </div>
								<div class="form-group">
                                    <label for="">Category</label>
                                    <select class="form-control" name="category">
									<option>Hotel Suite</option>
									<option>Serviced Apartment</option>
									</select>
                                </div>
                                <div class="form-group">
                                    <label for="">Description, features, etc</label>
                                    <textarea class="form-control" name="description" type="text"></textarea>
                                </div>
                                <div class="form-group">
                                    <label for="">Total Number of Units</label>
                                    <input class="form-control" name="total_units_available" type="text">
                                </div>
                               
                                <div class="form-group">
                                    <label for="">Price Per Day (&#8358) </label>
                                    <input class="form-control" name="price_per_day" type="text">
                                </div>


                            </div>
                            <!-- /.box-body -->

                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                                <div style="margin-bottom: 2em;"></div>
                                <div class="row">
                                    <div class="col-md-12" id="new-apartment">
                                    </div>
                                </div>
                            </div>

                        </form>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
			
            <div class="row">

        <?php
        //get the number of apartments models in order to evenly distribute it across 3 columns
		$query=selectMysql($pdo, "SELECT COUNT(*) FROM apartment");
		$num_apartment=$query->fetchColumn();
                $num_per_col=intdiv($num_apartment, 3);
                $remainder=$num_apartment % 3;
				$first_col=0; $sec_col=0; $third_col=0;
				//echo $num_per_col;
                if($remainder==1){
                    $first_col=$num_per_col+1;
					$sec_col=$num_per_col;
					$third_col=$num_per_col;
                }else if($remainder==2){
					$first_col=$num_per_col+1;
					$sec_col=$num_per_col+1;
					$third_col=$num_per_col;
				}else if($remainder==0){
					$first_col=$num_per_col;
					$sec_col=$num_per_col;
					$third_col=$num_per_col;
				}
               
		//get the apartments available and their info
		/*
		*first column
		*/
		$start_point=0;
		echo '<div class="col-md-4">';
		$query=selectMysql($pdo, "SELECT * FROM apartment LIMIT ".$first_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showApartmentInfo($row['ID']);
			
	$start_point++;
		}
		echo '</div>';
		echo '<div class="col-md-4">';
	$query=selectMysql($pdo, "SELECT * FROM apartment LIMIT ".$start_point.", ".$sec_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showApartmentInfo($row['ID']);
		$start_point++;
		}
		echo '</div>';
		echo '<div class="col-md-4">';
		$sec_col+=$first_col;
	$query=selectMysql($pdo, "SELECT * FROM apartment LIMIT ".$start_point.", ".$third_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showApartmentInfo($row['ID']);
		}
	 echo '</div>';
		?>
                    <!-- /.col -->
            </div>
            <!-- /.client -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->

    <?php
  require "footer.php";
  ?>
        <script>
            $(document).ready(function() {
                // submit form using $.ajax() method

                $('#new-apartment-form').submit(function(e) {
                    e.preventDefault(); // Prevent Default Submission
                    //show loading animation
                    $('#new-apartment-button').fadeOut('slow', function() {
                        $('#new-apartment-button').fadeIn('slow').html('<img src="../img/ajax-loader.gif" align="center">');
                    });

                    $.ajax({
                            url: 'processnewapartment.php',
                            type: 'POST',
                            data: new FormData(this), //helps when you are sending images in the form
                            //data: $(this).serialize(), // it will serialize the form data
                            processData: false,
                            contentType: false
                        })
                        .done(function(data) {
                            $('#new-apartment').fadeOut('slow', function() {
                                $('#new-apartment').fadeIn('slow').html(data);
                            });
                        })
                        .fail(function() {
                            alert('Ajax Submit Failed ...');
                        });
                });
            });

        </script>
</body>
</html>
