<?php
$page_title="Categories";
require "header.php";
?>
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
       <?php
	   include "breadcrumb.php";
	   ?>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-sm-6">
                    <div class="box box-default collapsed-box">
                        <div class="box-header with-border">
                            <h3 class="box-title">Enter New category Data</h3>

                            <div class="box-tools pull-right">
                                <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-plus"></i> </button>
                            </div>
                            <!-- /.box-tools -->
                        </div>
                        <!-- /.box-header -->
                        <form id="new-category-form" enctype="multipart/form-data">
                            <div id="new-category-form-content" class="box-body">
                                <div class="form-group">
                                    <label for="">Picture for this category</label>
                                    <input name="photo" type="file">
                                </div>
                                <div class="form-group">
                                    <label for="">Category Name</label>
                                    <input class="form-control" name="category" type="text">
                                </div>
                                <div class="form-group">
                                    <label for="">Description</label>
                                    <textarea class="form-control" name="description" type="text"></textarea>
                                </div>
                               

                            </div>
                            <!-- /.box-body -->

                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                                <div style="margin-bottom: 2em;"></div>
                                <div class="row">
                                    <div class="col-md-12" id="new-category">
                                    </div>
                                </div>
                            </div>

                        </form>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>
                <!-- /.col -->
            </div>
            <div class="row">

        <?php
        //get the number of categories models in order to evenly distribute it across 3 columns
		$query=selectMysql($pdo, "SELECT COUNT(*) FROM category");
		$num_category=$query->fetchColumn();
                $num_per_col=intdiv($num_category, 3);
                $remainder=$num_category % 3;
				$first_col=0; $sec_col=0; $third_col=0;
				//echo $num_per_col;
                if($remainder==1){
                    $first_col=$num_per_col+1;
					$sec_col=$num_per_col;
					$third_col=$num_per_col;
                }else if($remainder==2){
					$first_col=$num_per_col+1;
					$sec_col=$num_per_col+1;
					$third_col=$num_per_col;
				}else if($remainder==0){
					$first_col=$num_per_col;
					$sec_col=$num_per_col;
					$third_col=$num_per_col;
				}
               
		//get the categories available and their info
		/*
		*first column
		*/
		$start_point=0;
		echo '<div class="col-sm-4">';
		$query=selectMysql($pdo, "SELECT * FROM category LIMIT ".$first_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showCategoryInfo($row['ID']);
			
	$start_point++;
		}
		echo '</div>';
		echo '<div class="col-sm-4">';
	$query=selectMysql($pdo, "SELECT * FROM category LIMIT ".$start_point.", ".$sec_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showCategoryInfo($row['ID']);
		$start_point++;
		}
		echo '</div>';
		echo '<div class="col-sm-4">';
		$sec_col+=$first_col;
	$query=selectMysql($pdo, "SELECT * FROM category LIMIT ".$start_point.", ".$third_col);
		while($row=$query->fetch(PDO::FETCH_ASSOC)){
			showCategoryInfo($row['ID']);
		}
	 echo '</div>';
		?>
                    <!-- /.col -->
            </div>
            <!-- /.client -->
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
<div class="modal fade" id="editCategoryModal" role="dialog">
    <div class="modal-dialog">
    
      <!-- Modal content-->
      <div class="modal-content">
	  <div>
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title">Edit this Category</h4>
        </div>
        <div class="modal-body">
		<div id="edit-category-form-content"></div>
		<form action="editcategory.php" method="POST">
		<div class="form-group input-group">
			<label>Category Name</label>
			 <input class="form-control" type="text" id="category" name="category" value="">
		</div>
		<div class="form-group">
			<label>Category Description</label>
			 <textarea class="form-control" id="description" name="description"></textarea>
		</div>	
		<input type="hidden" id="category_id" name="category_id" value="">
			  <div id="edit-category-button">
				  <button type="submit" class="btn btn-danger btn-flat">Proceed</button>
			  </div>
		</form>
		
		  </div>
        </div>
        <div class="modal-footer">
			<button type="button" class="btn btn-default"  data-dismiss="modal">Dismiss</button>
        </div>
      </div>
			</div>
			</div>
		  
    <?php
  require "footer.php";
  ?>
        <script>
            $(document).ready(function() {
                // submit form using $.ajax() method

                $('#new-category-form').submit(function(e) {
                    e.preventDefault(); // Prevent Default Submission
                    //show loading animation
                    $('#new-category-button').fadeOut('slow', function() {
                        $('#new-category-button').fadeIn('slow').html('<img src="../img/ajax-loader.gif" align="center">');
                    });

                    $.ajax({
                            url: 'processnewcategory.php',
                            type: 'POST',
                            data: new FormData(this),
                            //data: $(this).serialize(), // it will serialize the form data
                            processData: false,
                            contentType: false
                        })
                        .done(function(data) {
                            $('#new-category').fadeOut('slow', function() {
                                $('#new-category').fadeIn('slow').html(data);
                            });
                        })
                        .fail(function() {
                            alert('Ajax Submit Failed ...');
                        });
                });
            });

        </script>
		
		<script>
		function setEditInfo(category, description, category_id){
			document.getElementById("category").value = category; 
			document.getElementById("description").innerHTML = description; 
			document.getElementById("category_id").value = category_id; 
		}
		</script>
		
</body>
</html>